<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServiceContentOption StructType
 * @subpackage Structs
 */
class JP_ServiceContentOption extends JP_ServiceOption
{
    /**
     * The Descriptions
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Description
     */
    public $Descriptions;
    /**
     * The Zones
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Zone
     */
    public $Zones;
    /**
     * The MeetingPointList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_MeetingPointsZone
     */
    public $MeetingPointList;
    /**
     * Constructor method for JP_ServiceContentOption
     * @uses JP_ServiceContentOption::setDescriptions()
     * @uses JP_ServiceContentOption::setZones()
     * @uses JP_ServiceContentOption::setMeetingPointList()
     * @param \ArrayType\ArrayOfJP_Description $descriptions
     * @param \ArrayType\ArrayOfJP_Zone $zones
     * @param \StructType\JP_MeetingPointsZone $meetingPointList
     */
    public function __construct(\ArrayType\ArrayOfJP_Description $descriptions = null, \ArrayType\ArrayOfJP_Zone $zones = null, \StructType\JP_MeetingPointsZone $meetingPointList = null)
    {
        $this
            ->setDescriptions($descriptions)
            ->setZones($zones)
            ->setMeetingPointList($meetingPointList);
    }
    /**
     * Get Descriptions value
     * @return \ArrayType\ArrayOfJP_Description|null
     */
    public function getDescriptions()
    {
        return $this->Descriptions;
    }
    /**
     * Set Descriptions value
     * @param \ArrayType\ArrayOfJP_Description $descriptions
     * @return \StructType\JP_ServiceContentOption
     */
    public function setDescriptions(\ArrayType\ArrayOfJP_Description $descriptions = null)
    {
        $this->Descriptions = $descriptions;
        return $this;
    }
    /**
     * Get Zones value
     * @return \ArrayType\ArrayOfJP_Zone|null
     */
    public function getZones()
    {
        return $this->Zones;
    }
    /**
     * Set Zones value
     * @param \ArrayType\ArrayOfJP_Zone $zones
     * @return \StructType\JP_ServiceContentOption
     */
    public function setZones(\ArrayType\ArrayOfJP_Zone $zones = null)
    {
        $this->Zones = $zones;
        return $this;
    }
    /**
     * Get MeetingPointList value
     * @return \StructType\JP_MeetingPointsZone|null
     */
    public function getMeetingPointList()
    {
        return $this->MeetingPointList;
    }
    /**
     * Set MeetingPointList value
     * @param \StructType\JP_MeetingPointsZone $meetingPointList
     * @return \StructType\JP_ServiceContentOption
     */
    public function setMeetingPointList(\StructType\JP_MeetingPointsZone $meetingPointList = null)
    {
        $this->MeetingPointList = $meetingPointList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ServiceContentOption
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
